Create Review
curl --request POST \
--url https://api.agentpowers.ai/v1/skills/{slug}/reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rating": 3,
"text": "<string>"
}
'import requests
url = "https://api.agentpowers.ai/v1/skills/{slug}/reviews"
payload = {
"rating": 3,
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rating: 3, text: '<string>'})
};
fetch('https://api.agentpowers.ai/v1/skills/{slug}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"skill_slug": "<string>",
"rating": 123,
"text": "<string>",
"author_display_name": "<string>",
"created_at": "<string>",
"author_slug": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}reviews
Create Review
Submit a review for a skill. One review per user per skill.
POST
/
v1
/
skills
/
{slug}
/
reviews
Create Review
curl --request POST \
--url https://api.agentpowers.ai/v1/skills/{slug}/reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rating": 3,
"text": "<string>"
}
'import requests
url = "https://api.agentpowers.ai/v1/skills/{slug}/reviews"
payload = {
"rating": 3,
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rating: 3, text: '<string>'})
};
fetch('https://api.agentpowers.ai/v1/skills/{slug}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"skill_slug": "<string>",
"rating": 123,
"text": "<string>",
"author_display_name": "<string>",
"created_at": "<string>",
"author_slug": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Provide a Clerk JWT or a long-lived CLI token (prefix ap_cli_). Pass as Authorization: Bearer <token>.
Path Parameters
Body
application/json
Required range:
1 <= x <= 5Maximum string length:
2000Was this page helpful?